<html>
<head>
<title>Ogre::PlaneBoundedVolume Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1PlaneBoundedVolume.html">PlaneBoundedVolume</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::PlaneBoundedVolume Class Reference<div class="ingroups"><a class="el" href="group__Math.html">Math</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::PlaneBoundedVolume" -->
<p>Represents a convex volume bounded by planes.  
 <a href="classOgre_1_1PlaneBoundedVolume.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgrePlaneBoundedVolume_8h_source.html">OgrePlaneBoundedVolume.h</a>&gt;</code></p>

<p><a href="classOgre_1_1PlaneBoundedVolume-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1vector.html">vector</a>&lt; <a class="el" href="classOgre_1_1Plane.html">Plane</a> &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PlaneBoundedVolume.html#ae42e7d91ba5c39178cfc681092e022a5">PlaneList</a></td></tr>
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PlaneBoundedVolume.html#a9f3907950c9fd279e01ac1d4a03d9871">PlaneBoundedVolume</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PlaneBoundedVolume.html#a1f07490e0ddb2809e1e2b71a89c23856">PlaneBoundedVolume</a> (<a class="el" href="classOgre_1_1Plane.html#aa5d44b14d6f032f3e0a26e83589180bc">Plane::Side</a> theOutside)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor, determines which side is deemed to be 'outside'.  <a href="#a1f07490e0ddb2809e1e2b71a89c23856"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PlaneBoundedVolume.html#aee3ce7eff75f501f8d9a33faa9b64174">intersects</a> (const <a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a> &amp;box) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Intersection test with AABB.  <a href="#aee3ce7eff75f501f8d9a33faa9b64174"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PlaneBoundedVolume.html#a4b02564f2535f2bdf1ac38447582f61a">intersects</a> (const <a class="el" href="classOgre_1_1Sphere.html">Sphere</a> &amp;sphere) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Intersection test with <a class="el" href="classOgre_1_1Sphere.html" title="A sphere primitive, mostly used for bounds checking.">Sphere</a>.  <a href="#a4b02564f2535f2bdf1ac38447582f61a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">std::pair&lt; bool, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PlaneBoundedVolume.html#ae4528e95f68402ad6fea0ff6414dbeb7">intersects</a> (const <a class="el" href="classOgre_1_1Ray.html">Ray</a> &amp;ray)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Intersection test with a <a class="el" href="classOgre_1_1Ray.html" title="Representation of a ray in space, i.e.">Ray</a>.  <a href="#ae4528e95f68402ad6fea0ff6414dbeb7"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1PlaneBoundedVolume.html#ae42e7d91ba5c39178cfc681092e022a5">PlaneList</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PlaneBoundedVolume.html#a20b9a9b8d76a970c5f6cbac4cb438054">planes</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Publicly accessible plane list, you can modify this direct.  <a href="#a20b9a9b8d76a970c5f6cbac4cb438054"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Plane.html#aa5d44b14d6f032f3e0a26e83589180bc">Plane::Side</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PlaneBoundedVolume.html#a4d323aac2569fdb268dd6dda2801896e">outside</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Represents a convex volume bounded by planes. </p>

<p>Definition at line <a class="el" href="OgrePlaneBoundedVolume_8h_source.html#l00048">48</a> of file <a class="el" href="OgrePlaneBoundedVolume_8h_source.html">OgrePlaneBoundedVolume.h</a>.</p>
</div><hr/><h2>Member Typedef Documentation</h2>
<a class="anchor" id="ae42e7d91ba5c39178cfc681092e022a5"></a><!-- doxytag: member="Ogre::PlaneBoundedVolume::PlaneList" ref="ae42e7d91ba5c39178cfc681092e022a5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1vector.html">vector</a>&lt;<a class="el" href="classOgre_1_1Plane.html">Plane</a>&gt;::type <a class="el" href="classOgre_1_1PlaneBoundedVolume.html#ae42e7d91ba5c39178cfc681092e022a5">Ogre::PlaneBoundedVolume::PlaneList</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePlaneBoundedVolume_8h_source.html#l00051">51</a> of file <a class="el" href="OgrePlaneBoundedVolume_8h_source.html">OgrePlaneBoundedVolume.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a9f3907950c9fd279e01ac1d4a03d9871"></a><!-- doxytag: member="Ogre::PlaneBoundedVolume::PlaneBoundedVolume" ref="a9f3907950c9fd279e01ac1d4a03d9871" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1PlaneBoundedVolume.html#a9f3907950c9fd279e01ac1d4a03d9871">Ogre::PlaneBoundedVolume::PlaneBoundedVolume</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePlaneBoundedVolume_8h_source.html#l00056">56</a> of file <a class="el" href="OgrePlaneBoundedVolume_8h_source.html">OgrePlaneBoundedVolume.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1f07490e0ddb2809e1e2b71a89c23856"></a><!-- doxytag: member="Ogre::PlaneBoundedVolume::PlaneBoundedVolume" ref="a1f07490e0ddb2809e1e2b71a89c23856" args="(Plane::Side theOutside)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1PlaneBoundedVolume.html#a9f3907950c9fd279e01ac1d4a03d9871">Ogre::PlaneBoundedVolume::PlaneBoundedVolume</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Plane.html#aa5d44b14d6f032f3e0a26e83589180bc">Plane::Side</a>&#160;</td>
          <td class="paramname"><em>theOutside</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Constructor, determines which side is deemed to be 'outside'. </p>

<p>Definition at line <a class="el" href="OgrePlaneBoundedVolume_8h_source.html#l00058">58</a> of file <a class="el" href="OgrePlaneBoundedVolume_8h_source.html">OgrePlaneBoundedVolume.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="aee3ce7eff75f501f8d9a33faa9b64174"></a><!-- doxytag: member="Ogre::PlaneBoundedVolume::intersects" ref="aee3ce7eff75f501f8d9a33faa9b64174" args="(const AxisAlignedBox &amp;box) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1PlaneBoundedVolume.html#aee3ce7eff75f501f8d9a33faa9b64174">Ogre::PlaneBoundedVolume::intersects</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a> &amp;&#160;</td>
          <td class="paramname"><em>box</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Intersection test with AABB. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>May return false positives but will never miss an intersection. </dd></dl>

<p>Definition at line <a class="el" href="OgrePlaneBoundedVolume_8h_source.html#l00064">64</a> of file <a class="el" href="OgrePlaneBoundedVolume_8h_source.html">OgrePlaneBoundedVolume.h</a>.</p>

<p>References <a class="el" href="OgreAxisAlignedBox_8h_source.html#l00695">Ogre::AxisAlignedBox::getCenter()</a>, <a class="el" href="OgreAxisAlignedBox_8h_source.html#l00727">Ogre::AxisAlignedBox::getHalfSize()</a>, <a class="el" href="classOgre_1_1Plane.html#ae0131ee8cf1c09587c5cc4541c3b6297">Ogre::Plane::getSide()</a>, <a class="el" href="OgreAxisAlignedBox_8h_source.html#l00558">Ogre::AxisAlignedBox::isInfinite()</a>, and <a class="el" href="OgreAxisAlignedBox_8h_source.html#l00537">Ogre::AxisAlignedBox::isNull()</a>.</p>

</div>
</div>
<a class="anchor" id="a4b02564f2535f2bdf1ac38447582f61a"></a><!-- doxytag: member="Ogre::PlaneBoundedVolume::intersects" ref="a4b02564f2535f2bdf1ac38447582f61a" args="(const Sphere &amp;sphere) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1PlaneBoundedVolume.html#aee3ce7eff75f501f8d9a33faa9b64174">Ogre::PlaneBoundedVolume::intersects</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Sphere.html">Sphere</a> &amp;&#160;</td>
          <td class="paramname"><em>sphere</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Intersection test with <a class="el" href="classOgre_1_1Sphere.html" title="A sphere primitive, mostly used for bounds checking.">Sphere</a>. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>May return false positives but will never miss an intersection. </dd></dl>

<p>Definition at line <a class="el" href="OgrePlaneBoundedVolume_8h_source.html#l00095">95</a> of file <a class="el" href="OgrePlaneBoundedVolume_8h_source.html">OgrePlaneBoundedVolume.h</a>.</p>

<p>References <a class="el" href="OgreSphere_8h_source.html#l00073">Ogre::Sphere::getCenter()</a>, <a class="el" href="classOgre_1_1Plane.html#a9548b13f88e65d98ea08ba01c8f2fad1">Ogre::Plane::getDistance()</a>, <a class="el" href="OgreSphere_8h_source.html#l00067">Ogre::Sphere::getRadius()</a>, and <a class="el" href="OgrePlane_8h_source.html#l00084">Ogre::Plane::NEGATIVE_SIDE</a>.</p>

</div>
</div>
<a class="anchor" id="ae4528e95f68402ad6fea0ff6414dbeb7"></a><!-- doxytag: member="Ogre::PlaneBoundedVolume::intersects" ref="ae4528e95f68402ad6fea0ff6414dbeb7" args="(const Ray &amp;ray)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::pair&lt;bool, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&gt; <a class="el" href="classOgre_1_1PlaneBoundedVolume.html#aee3ce7eff75f501f8d9a33faa9b64174">Ogre::PlaneBoundedVolume::intersects</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Ray.html">Ray</a> &amp;&#160;</td>
          <td class="paramname"><em>ray</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Intersection test with a <a class="el" href="classOgre_1_1Ray.html" title="Representation of a ray in space, i.e.">Ray</a>. </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>std::pair of hit (bool) and distance </dd></dl>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>May return false positives but will never miss an intersection. </dd></dl>

<p>Definition at line <a class="el" href="OgrePlaneBoundedVolume_8h_source.html#l00120">120</a> of file <a class="el" href="OgrePlaneBoundedVolume_8h_source.html">OgrePlaneBoundedVolume.h</a>.</p>

<p>References <a class="el" href="classOgre_1_1Math.html#a11664bfebecca73dbb42c0959d3d9ff7">Ogre::Math::intersects()</a>, and <a class="el" href="OgrePlane_8h_source.html#l00083">Ogre::Plane::POSITIVE_SIDE</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a4d323aac2569fdb268dd6dda2801896e"></a><!-- doxytag: member="Ogre::PlaneBoundedVolume::outside" ref="a4d323aac2569fdb268dd6dda2801896e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Plane.html#aa5d44b14d6f032f3e0a26e83589180bc">Plane::Side</a> <a class="el" href="classOgre_1_1PlaneBoundedVolume.html#a4d323aac2569fdb268dd6dda2801896e">Ogre::PlaneBoundedVolume::outside</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePlaneBoundedVolume_8h_source.html#l00054">54</a> of file <a class="el" href="OgrePlaneBoundedVolume_8h_source.html">OgrePlaneBoundedVolume.h</a>.</p>

<p>Referenced by <a class="el" href="OgreRay_8h_source.html#l00092">Ogre::Ray::intersects()</a>.</p>

</div>
</div>
<a class="anchor" id="a20b9a9b8d76a970c5f6cbac4cb438054"></a><!-- doxytag: member="Ogre::PlaneBoundedVolume::planes" ref="a20b9a9b8d76a970c5f6cbac4cb438054" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1PlaneBoundedVolume.html#ae42e7d91ba5c39178cfc681092e022a5">PlaneList</a> <a class="el" href="classOgre_1_1PlaneBoundedVolume.html#a20b9a9b8d76a970c5f6cbac4cb438054">Ogre::PlaneBoundedVolume::planes</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Publicly accessible plane list, you can modify this direct. </p>

<p>Definition at line <a class="el" href="OgrePlaneBoundedVolume_8h_source.html#l00053">53</a> of file <a class="el" href="OgrePlaneBoundedVolume_8h_source.html">OgrePlaneBoundedVolume.h</a>.</p>

<p>Referenced by <a class="el" href="OgreRay_8h_source.html#l00092">Ogre::Ray::intersects()</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgrePlaneBoundedVolume_8h_source.html">OgrePlaneBoundedVolume.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:02
</p>
</body>
</html>
